Cancel subscription
curl --request POST \
--url https://api.example.com/api/v1/subscriptions/{subscription_id}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"effective_date": "2023-12-25",
"reason": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/subscriptions/{subscription_id}/cancel"
payload = {
"effective_date": "2023-12-25",
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({effective_date: '2023-12-25', reason: '<string>'})
};
fetch('https://api.example.com/api/v1/subscriptions/{subscription_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscription": {
"auto_advance_invoices": true,
"billing_day_anchor": 123,
"charge_automatically": true,
"created_at": "2023-11-07T05:31:56Z",
"current_period_start": "2023-12-25",
"custom_properties": "<unknown>",
"customer_id": "<string>",
"customer_name": "<string>",
"id": "<string>",
"mrr_cents": 1,
"net_terms": 1,
"plan_id": "<string>",
"plan_name": "<string>",
"plan_version": 1,
"plan_version_id": "<string>",
"start_date": "2023-12-25",
"activated_at": "2023-11-07T05:31:56Z",
"billing_start_date": "2023-12-25",
"current_period_end": "2023-12-25",
"customer_alias": "<string>",
"end_date": "2023-12-25",
"invoice_memo": "<string>",
"payment_methods_config": {
"config": {
"card": {
"enabled": true
},
"direct_debit": {
"enabled": true
}
}
},
"plan_description": "<string>",
"purchase_order": "<string>",
"trial_duration": 1
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Subscriptions
Cancel subscription
Cancel a subscription either immediately or at the end of the billing period.
POST
/
api
/
v1
/
subscriptions
/
{subscription_id}
/
cancel
Cancel subscription
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Subscription ID
Example:
"sub_7n42DGM5Tflk9n8mt7Fhc7"
Body
application/json
Response
Subscription canceled
Show child attributes
Show child attributes
⌘I